package com.lstznkj.groundstation.DTO.ui;

import com.lstznkj.groundstation.model.crane.Device;
import com.lstznkj.groundstation.model.crane.State;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.UpdateTimestamp;
import org.springframework.security.core.parameters.P;

import javax.persistence.ManyToOne;
import javax.persistence.Transient;
import java.sql.Timestamp;

public class CraneDTO {

    private Integer id;

    private String createTime;

    private String updateTime;
    private String name;
    private String remark;

    private String fullName;
    private String extra;

    private int value;


    //设备现有状态： 正常、报警、预警、故障……

    private State state;

    private CraneSummaryDTO craneSummaryDTO;
    private TechParamsDTO techParamsDTO;


    public CraneDTO(CraneSummaryDTO craneSummaryDTO, TechParamsDTO techParamsDTO) {
        this.craneSummaryDTO = craneSummaryDTO;
        this.techParamsDTO = techParamsDTO;

    }

    public CraneDTO() {

    }

    public CraneDTO(Device crane){
        if(crane==null){
            return;
        }
        this.id=crane.getId();
        this.createTime=crane.getCreateTime();
        this.updateTime=crane.getUpdateTime();
        this.name=crane.getName();
        this.remark=crane.getRemark();
        this.extra=crane.getExtra();
        this.value=this.id;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getExtra() {
        return extra;
    }

    public void setExtra(String extra) {
        this.extra = extra;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public State getState() {
        return state;
    }

    public void setState(State state) {
        this.state = state;
    }

    public CraneSummaryDTO getCraneSummaryDTO() {
        return craneSummaryDTO;
    }

    public void setCraneSummaryDTO(CraneSummaryDTO craneSummaryDTO) {
        this.craneSummaryDTO = craneSummaryDTO;
    }

    public TechParamsDTO getTechParamsDTO() {
        return techParamsDTO;
    }

    public void setTechParamsDTO(TechParamsDTO techParamsDTO) {
        this.techParamsDTO = techParamsDTO;
    }
}
