package com.lstznkj.groundstation.DTO.ui;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.lstznkj.groundstation.model.crane.BaseData;
import com.lstznkj.groundstation.model.crane.DataSource;
import com.lstznkj.groundstation.model.crane.DataType;
import com.lstznkj.groundstation.model.crane.Device;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.UpdateTimestamp;

import javax.persistence.*;
import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * A DTO for the {@link DataSource} entity
 */
public class DataSourceUIDTO implements Serializable {

    private int id;
    private String name;

    //是否启用
    private Boolean isEnable;

    //采集地址
    private String address;






    //mqtt发布主题名称
    private String publishTopic;
    private Timestamp createTimestamp;

    private Timestamp updateTimestamp;

    private String createTime;

    private int dataTypeId;

    private String updateTime;

    private List<String> valueList=new ArrayList<>();


    private List<String> dateList=new ArrayList<>();
    //报警阈值
    private float threshold;
    private float maxValue;
    private float minValue;


    //稀疏差异值(大于等于稀疏差异值 才存储到数据库),-1时，不进行稀疏存储
    private double differSparseValue;


    private int sparseCount;

    //累计 稀疏值，(超过累计稀疏值后 存储到数据库)

    private double totalSparseValue;


    private int tmpSparseCount;



    private BaseData lastBaseData;

    private double differTotalValue;

    private List<BaseData> baseDataList;

    private DataType dataType;
    private Device device;

    private String deviceInfo;

    private String dataTypeInfo;


    private int deviceId;
    private int oldDeviceId;

    private String remark;

    private String deviceName;

    public DataSourceUIDTO(){}


    public DataSourceUIDTO(DataSource dataSource) {
        this.id = dataSource.getId();
        this.name =dataSource.getName();
        this.isEnable = dataSource.getEnable();

      //  this.dataType = dataSource.getDataType();

        this.threshold = dataSource.getThreshold();
        this.maxValue = dataSource.getMaxValue();
        this.minValue = dataSource.getMinValue();
        this.device = dataSource.getDevice();

       // this.baseDataList = dataSource.getBaseDataList();
        this.deviceId=dataSource.getDeviceId();
        this.dataTypeId=dataSource.getDataTypeId();
        this.publishTopic=dataSource.getPublishTopic();

        this.differSparseValue=dataSource.getDifferSparseValue();
        this.baseDataList=dataSource.getBaseDataList();

        this.sparseCount=dataSource.getSparseCount();

        //累计 稀疏值，(超过累计稀疏值后 存储到数据库)

        this.totalSparseValue=dataSource.getTotalSparseValue();


        this.tmpSparseCount=dataSource.getTmpSparseCount();



        this.lastBaseData=dataSource.getLastBaseData();

        this.differTotalValue=dataSource.getDifferTotalValue();


        this.deviceInfo=dataSource.getDeviceInfo();

        this.dataTypeInfo=dataSource.getDataTypeInfo();
        this.dataType=dataSource.getDataType();

        this.deviceId=dataSource.getDeviceId();

        this.remark=dataSource.getRemark();
        this.deviceName=dataSource.getDeviceName();

    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public DataType getDataType() {
        return dataType;
    }

    public void setDataType(DataType dataType) {
        this.dataType = dataType;
    }

    public List<BaseData> getBaseDataList() {
        return baseDataList;
    }

    public void setBaseDataList(List<BaseData> baseDataList) {
        this.baseDataList = baseDataList;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getEnable() {
        return isEnable;
    }

    public void setEnable(Boolean enable) {
        isEnable = enable;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }


    public int getOldDeviceId() {
        return oldDeviceId;
    }

    public void setOldDeviceId(int oldDeviceId) {
        this.oldDeviceId = oldDeviceId;
    }

    public String getPublishTopic() {
        return publishTopic;
    }

    public void setPublishTopic(String publishTopic) {
        this.publishTopic = publishTopic;
    }

    public Timestamp getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Timestamp createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public Timestamp getUpdateTimestamp() {
        return updateTimestamp;
    }

    public void setUpdateTimestamp(Timestamp updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public int getDataTypeId() {
        return dataTypeId;
    }

    public void setDataTypeId(int dataTypeId) {
        this.dataTypeId = dataTypeId;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public List<String> getValueList() {
        return valueList;
    }

    public void setValueList(List<String> valueList) {
        this.valueList = valueList;
    }

    public List<String> getDateList() {
        return dateList;
    }

    public void setDateList(List<String> dateList) {
        this.dateList = dateList;
    }

    public float getThreshold() {
        return threshold;
    }

    public void setThreshold(float threshold) {
        this.threshold = threshold;
    }

    public float getMaxValue() {
        return maxValue;
    }

    public void setMaxValue(float maxValue) {
        this.maxValue = maxValue;
    }

    public float getMinValue() {
        return minValue;
    }

    public void setMinValue(float minValue) {
        this.minValue = minValue;
    }

    public double getDifferSparseValue() {
        return differSparseValue;
    }

    public void setDifferSparseValue(double differSparseValue) {
        this.differSparseValue = differSparseValue;
    }

    public int getSparseCount() {
        return sparseCount;
    }

    public void setSparseCount(int sparseCount) {
        this.sparseCount = sparseCount;
    }

    public double getTotalSparseValue() {
        return totalSparseValue;
    }

    public void setTotalSparseValue(double totalSparseValue) {
        this.totalSparseValue = totalSparseValue;
    }

    public int getTmpSparseCount() {
        return tmpSparseCount;
    }

    public void setTmpSparseCount(int tmpSparseCount) {
        this.tmpSparseCount = tmpSparseCount;
    }

    public BaseData getLastBaseData() {
        return lastBaseData;
    }

    public void setLastBaseData(BaseData lastBaseData) {
        this.lastBaseData = lastBaseData;
    }

    public double getDifferTotalValue() {
        return differTotalValue;
    }

    public void setDifferTotalValue(double differTotalValue) {
        this.differTotalValue = differTotalValue;
    }

    public Device getDevice() {
        return device;
    }

    public void setDevice(Device device) {
        this.device = device;
    }

    public String getDeviceInfo() {
        return deviceInfo;
    }

    public void setDeviceInfo(String deviceInfo) {
        this.deviceInfo = deviceInfo;
    }

    public String getDataTypeInfo() {
        return dataTypeInfo;
    }

    public void setDataTypeInfo(String dataTypeInfo) {
        this.dataTypeInfo = dataTypeInfo;
    }

    public int getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(int deviceId) {
        this.deviceId = deviceId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}