package com.lstznkj.groundstation.controller;

import com.lstznkj.groundstation.DTO.ui.CraneDTO;
import com.lstznkj.groundstation.DTO.ui.CraneSummaryDTO;
import com.lstznkj.groundstation.DTO.ui.TechParamsDTO;
import com.lstznkj.groundstation.utils.DateUtil;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class TestController {

    @RequestMapping(value = "/test/cranes",method = RequestMethod.GET)
    public Object getCranes(){

        return "getCranes";
    }
    @RequestMapping(value = "/test/cranes/{id}",method = RequestMethod.GET)
    public Object getCraneById(@PathVariable int id){
        CraneDTO craneDTO=new CraneDTO();
        craneDTO.setName("15#天车");
        CraneSummaryDTO craneSummaryDTO=new CraneSummaryDTO();
        craneSummaryDTO.setName("15#天车");
        craneSummaryDTO.setSpecification("QD20/5t-28m");
        craneSummaryDTO.setProduceCompany("河南东升起重机械有限公司");
        craneSummaryDTO.setProduceNumber("7030004");
        craneSummaryDTO.setProduceTime("2007-11-01");
        craneSummaryDTO.setInstallTime("2008-05-05");
        craneSummaryDTO.setStartTime("2008-12-05");
        craneSummaryDTO.setAgeLimit(20);
        craneSummaryDTO.setOriginPrice(71.709);
        craneSummaryDTO.setOriginPriceUnit("万元");
        craneSummaryDTO.setProfile("跨度28米/3米");
        craneSummaryDTO.setUsedUnit("碳钢薄板厂冷轧工序");
        craneSummaryDTO.setIntroduction("酸轧跨1B-1C区101-105线，设计为遥控天车主要用于生产废料倒运，检修。");

        TechParamsDTO techParamsDTO=new TechParamsDTO();

        techParamsDTO.setLength(29000);
        techParamsDTO.setLengthUnit("mm");
        techParamsDTO.setWidth(7934);
        techParamsDTO.setWidthUnit("mm");
        techParamsDTO.setHighestValueToRail(2187);
        techParamsDTO.setHighestValueToRailUnit("mm");
        techParamsDTO.setBigCarBufferDistance(150);
        techParamsDTO.setBigCarBufferDistanceUnit("mm");
        techParamsDTO.setSmallCarBufferDistance(75);
        techParamsDTO.setSmallCarBufferDistanceUnit("mm");

        techParamsDTO.setMainHoistWeight(20);
        techParamsDTO.setMainHoistWeightUnit("T");
        techParamsDTO.setDeputyHoistWeight(5);
        techParamsDTO.setDeputyHoistWeightUnit("T");
        techParamsDTO.setBigCarLength(28);
        techParamsDTO.setBigCarLengthUnit("米");
        techParamsDTO.setSmallCarLength(3);
        techParamsDTO.setSmallCarLengthUnit("米");
        techParamsDTO.setWorkLevel("M5");


        techParamsDTO.setMainHoistMaxSpeed(12);
        techParamsDTO.setMainHoistMaxSpeedUnit("m/min");
        techParamsDTO.setMainHoistMinSpeed(2);
        techParamsDTO.setMainHoistMinSpeedUnit("m/min");
        techParamsDTO.setDeputyHoistMinSpeed(1.95);
        techParamsDTO.setDeputyHoistMinSpeedUnit("m/min");
        techParamsDTO.setDeputyHoistMaxSpeed(19.5);
        techParamsDTO.setDeputyHoistMaxSpeedUnit("m/min");

        techParamsDTO.setBigCarMinSpeed(12);
        techParamsDTO.setBigCarminSpeedUnit("m/min");
        techParamsDTO.setBigCarMaxSpeed(120);
        techParamsDTO.setBigCarMaxSpeedUnit("m/min");
        techParamsDTO.setSmallCarMinSpeed(4.5);
        techParamsDTO.setSmallCarminSpeedUnit("m/min");
        techParamsDTO.setSmallCarMaxSpeed(45);
        techParamsDTO.setSmallCarMaxSpeedUnit("m/min");

        techParamsDTO.setMainHoistHeight(21);
        techParamsDTO.setMainHoistHeightUnit("米");
        techParamsDTO.setDeputyHoistHeight(23);
        techParamsDTO.setDeputyHoistHeightUnit("米");

        craneDTO.setCraneSummaryDTO(craneSummaryDTO);
        craneDTO.setTechParamsDTO(techParamsDTO);

        return craneDTO;
    }

}
