package com.lstznkj.groundstation.model.crane;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.lstznkj.groundstation.utils.DateUtil;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.UpdateTimestamp;

import javax.persistence.*;
import java.sql.Timestamp;
import java.util.List;

@Entity
public class DataType {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    //数据库唯一标识符
    private Integer id;

    @Column(unique = true,length = 15,nullable = false)
    private String name;

    //0 模拟量(4-20mA),1开关量
    private int valueType;

    //采集方法
    // 0 485 ,1 PLC
    private int method;
    private String expression;

    //单位
    private String unit;


    @JsonIgnore
    @OneToMany(mappedBy = "dataType",cascade = CascadeType.ALL)
    private List<DataSource> dataSources;

    @CreationTimestamp
    private Timestamp createTimestamp;
    @UpdateTimestamp
    private Timestamp updateTimestamp;
    @Transient
    private String createTime;
    @Transient
    private String updateTime;
    private String remark;

  

    public void setDataSources(List<DataSource> dataSources) {
        this.dataSources = dataSources;
    }



    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<DataSource> getDataSources() {
        return dataSources;
    }

    public String getRemark() {
        return remark;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setValueType(int valueType) {
        this.valueType = valueType;
    }

    public void setMethod(int method) {
        this.method = method;
    }

    public void setExpression(String expression) {
        this.expression = expression;
    }

    public void setCreateTimestamp(Timestamp createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public void setUpdateTimestamp(Timestamp updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public int getValueType() {
        return valueType;
    }

    public int getMethod() {
        return method;
    }

    public String getExpression() {
        return expression;
    }

    public Timestamp getCreateTimestamp() {
        return createTimestamp;
    }

    public Timestamp getUpdateTimestamp() {
        return updateTimestamp;
    }

    public String getCreateTime(){
        if(this.createTimestamp==null){
            this.createTime="";
        }else {
            this.createTime= DateUtil.getSingleInstance().formatToMillisecond(this.createTimestamp.getTime());
        }

        return this.createTime;
    }
    public String getUpdateTime(){
        if(this.updateTimestamp==null){
            this.updateTime="";
        }
        else {
            this.updateTime= DateUtil.getSingleInstance().formatToMillisecond(this.updateTimestamp.getTime());
        }

        return this.updateTime;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }
}
