package com.lstznkj.groundstation.model.crane.extra;


import com.lstznkj.groundstation.model.User;
import com.lstznkj.groundstation.model.crane.Device;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.UpdateTimestamp;

import javax.persistence.*;
import java.sql.Timestamp;
import java.util.List;

/*
设备隐患事故记录
 */
@Entity
public class AccidentLog {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    //数据库唯一标识符
    private Integer id;

    @CreationTimestamp
    private Timestamp createTimestamp;
    @UpdateTimestamp
    private Timestamp updateTimestamp;

    @Transient
    private String createTime;
    @Transient
    private String updateTime;

    private String name ;

    //故障日期
    private Timestamp date;

    //事故分级
    private int level;

    //故障记录描述
    @Lob
    private String  remark;

    //原因
    @Lob
    private String reason;

    //实施内容
    private String conten;

    //损失
    private double lost;
    private String lostUnit;



    //故障专业
    private String major;

    //影响生产时间
    private int affectTime;
    private String affectTimeUnit;


    //考核
    private double fine;
    private String fineUnit;

    //责任追究人，追究人可能不在系统，采用字符串存储，逗号分隔
    @Lob
    private String people;

    //分类
    private String type;



    //改造记录,一对多
//    @OneToMany(mappedBy = "accidentLog",fetch = FetchType.LAZY)
//    private List<ReformLog> reformLogList;

    //设备
    @ManyToOne
    @JoinColumn(name = "device_id")
    private Device device;





    //设备记录人
//    @OneToOne
//    User user;

    public Device getDevice() {
        return device;
    }

    public void setDevice(Device device) {
        this.device = device;
    }


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Timestamp getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Timestamp createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public Timestamp getUpdateTimestamp() {
        return updateTimestamp;
    }

    public void setUpdateTimestamp(Timestamp updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Timestamp getDate() {
        return date;
    }

    public void setDate(Timestamp date) {
        this.date = date;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getConten() {
        return conten;
    }

    public void setConten(String conten) {
        this.conten = conten;
    }

    public double getLost() {
        return lost;
    }

    public void setLost(double lost) {
        this.lost = lost;
    }

    public String getLostUnit() {
        return lostUnit;
    }

    public void setLostUnit(String lostUnit) {
        this.lostUnit = lostUnit;
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major;
    }

    public double getFine() {
        return fine;
    }

    public void setFine(double fine) {
        this.fine = fine;
    }

    public String getFineUnit() {
        return fineUnit;
    }

    public void setFineUnit(String fineUnit) {
        this.fineUnit = fineUnit;
    }

    public String getPeople() {
        return people;
    }

    public void setPeople(String people) {
        this.people = people;
    }

    public int getAffectTime() {
        return affectTime;
    }

    public void setAffectTime(int affectTime) {
        this.affectTime = affectTime;
    }

    public String getAffectTimeUnit() {
        return affectTimeUnit;
    }

    public void setAffectTimeUnit(String affectTimeUnit) {
        this.affectTimeUnit = affectTimeUnit;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }


    //    public User getUser() {
//        return user;
//    }
//
//    public void setUser(User user) {
//        this.user = user;
//    }


}
