package com.lstznkj.groundstation.model.crane.extra;


import com.lstznkj.groundstation.model.crane.Device;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.UpdateTimestamp;

import javax.persistence.*;
import java.sql.Timestamp;

/**
 * 设备概述，根设备(天车概述)
 */
@Entity
public class DeviceSummary {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    //数据库唯一标识符
    private Integer id;

    @CreationTimestamp
    private Timestamp createTimestamp;
    @UpdateTimestamp
    private Timestamp updateTimestamp;

    @Transient
    private String createTime;
    @Transient
    private String updateTime;
    private String name;

    //规格
    private String specification;

    //制造厂家
    private String produceCompany;

    //制造编号
    private String produceNumber;

    //制造日期
    private long produceTime;
    //安装日期
    private long installTime;
    //开始使用日期
    private long startTime;

    //设备原值
    private double originPrice;
    private String originPriceUnit;



    //设备使用年限
    private long ageLimit;

    //外形尺寸
    private String profile;

    //图号
    private String imageNumber;

    //使用单位
    private String usedUnit;

    //简介
    private String introduction;


    @OneToOne
    @JoinColumn(name = "crane_id")
    private Device crane;

    public Device getCrane() {
        return crane;
    }

    public void setCrane(Device crane) {
        this.crane = crane;
    }


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Timestamp getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Timestamp createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public Timestamp getUpdateTimestamp() {
        return updateTimestamp;
    }

    public void setUpdateTimestamp(Timestamp updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getProduceCompany() {
        return produceCompany;
    }

    public void setProduceCompany(String produceCompany) {
        this.produceCompany = produceCompany;
    }

    public long getProduceTime() {
        return produceTime;
    }

    public void setProduceTime(long produceTime) {
        this.produceTime = produceTime;
    }

    public long getInstallTime() {
        return installTime;
    }

    public void setInstallTime(long installTime) {
        this.installTime = installTime;
    }

    public long getStartTime() {
        return startTime;
    }

    public void setStartTime(long startTime) {
        this.startTime = startTime;
    }

    public long getAgeLimit() {
        return ageLimit;
    }

    public void setAgeLimit(long ageLimit) {
        this.ageLimit = ageLimit;
    }

    public String getProfile() {
        return profile;
    }

    public void setProfile(String profile) {
        this.profile = profile;
    }

    public String getImageNumber() {
        return imageNumber;
    }

    public void setImageNumber(String imageNumber) {
        this.imageNumber = imageNumber;
    }

    public String getUsedUnit() {
        return usedUnit;
    }

    public void setUsedUnit(String usedUnit) {
        this.usedUnit = usedUnit;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getProduceNumber() {
        return produceNumber;
    }

    public void setProduceNumber(String produceNumber) {
        this.produceNumber = produceNumber;
    }

    public double getOriginPrice() {
        return originPrice;
    }

    public void setOriginPrice(double originPrice) {
        this.originPrice = originPrice;
    }

    public String getOriginPriceUnit() {
        return originPriceUnit;
    }

    public void setOriginPriceUnit(String originPriceUnit) {
        this.originPriceUnit = originPriceUnit;
    }
}
