package com.lstznkj.groundstation.model.crane.extra;

import com.lstznkj.groundstation.model.SysRole;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.UpdateTimestamp;

import javax.persistence.*;
import java.sql.Timestamp;
import java.util.List;

/****
 * 点检标准的具体条目
 */
@Entity
public class PointCheckStandardItem {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    //数据库唯一标识符
    private Integer id;

    @CreationTimestamp
    private Timestamp createTimestamp;
    @UpdateTimestamp
    private Timestamp updateTimestamp;

    @Transient
    private String createTime;
    @Transient
    private String updateTime;

    private String name ;


    @ManyToOne
    @JoinColumn(name = "point_check_standard_id")
    private PointCheckStandard pointCheckStandard;

    //点检内容,
    //具体点检内容为多条
    private String conten;

    //点检标准
    private String standard;

    //点检方法
    //0-----其他
    //1-----目视
    //2-----手摸
    //3-----听音
    //4-----敲打
    //5-----嗅觉
    //6-----仪器
    //7-----精密
    private int method;

    //设备状态
    //0-----停止
    //1-----运行
    private int state;

    @OneToMany(mappedBy = "item")
    private List<PointCheckStandardItemResult> resultList;

    public PointCheckStandard getPointCheckStandard() {
        return pointCheckStandard;
    }

    public void setPointCheckStandard(PointCheckStandard pointCheckStandard) {
        this.pointCheckStandard = pointCheckStandard;
    }
//
//    //点检分工(岗位，运行、点检)
//    @OneToOne
//    @JoinColumn(name = "role_role_id")
//    private SysRole role;



    //点检周期

    private int cycle;
    private int cycleUnit;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Timestamp getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Timestamp createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public Timestamp getUpdateTimestamp() {
        return updateTimestamp;
    }

    public void setUpdateTimestamp(Timestamp updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getConten() {
        return conten;
    }

    public void setConten(String conten) {
        this.conten = conten;
    }

    public String getStandard() {
        return standard;
    }

    public void setStandard(String standard) {
        this.standard = standard;
    }

    public int getMethod() {
        return method;
    }

    public void setMethod(int method) {
        this.method = method;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public List<PointCheckStandardItemResult> getResultList() {
        return resultList;
    }

    public void setResultList(List<PointCheckStandardItemResult> resultList) {
        this.resultList = resultList;
    }

    public int getCycle() {
        return cycle;
    }

    public void setCycle(int cycle) {
        this.cycle = cycle;
    }

    public int getCycleUnit() {
        return cycleUnit;
    }

    public void setCycleUnit(int cycleUnit) {
        this.cycleUnit = cycleUnit;
    }
}
