package com.lstznkj.groundstation.model.crane.extra;

import com.lstznkj.groundstation.model.crane.Device;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.UpdateTimestamp;

import javax.persistence.*;
import java.sql.Timestamp;

@Entity
public class RepairStandard {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    //数据库唯一标识符
    private Integer id;

    @CreationTimestamp
    private Timestamp createTimestamp;
    @UpdateTimestamp
    private Timestamp updateTimestamp;

    @Transient
    private String createTime;
    @Transient
    private String updateTime;

    private String name ;

    //材质、型号
    private String type;

    //图纸尺寸
    private String drawingSize;



    //劣化及允许量
    private String degradation;




    //技术要求
    @Lob
    private String techDemands;

    //更换周期
    private int exchangeCycle;
    private String exchangeCycleUnit;

    //备注
    private String remark;


    @OneToOne
    @JoinColumn(name = "device_id")
    private Device device;


    public Device getDevice() {
        return device;
    }

    public void setDevice(Device device) {
        this.device = device;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Timestamp getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Timestamp createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public Timestamp getUpdateTimestamp() {
        return updateTimestamp;
    }

    public void setUpdateTimestamp(Timestamp updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTechDemands() {
        return techDemands;
    }

    public void setTechDemands(String techDemands) {
        this.techDemands = techDemands;
    }

    public int getExchangeCycle() {
        return exchangeCycle;
    }

    public void setExchangeCycle(int exchangeCycle) {
        this.exchangeCycle = exchangeCycle;
    }

    public String getExchangeCycleUnit() {
        return exchangeCycleUnit;
    }

    public void setExchangeCycleUnit(String exchangeCycleUnit) {
        this.exchangeCycleUnit = exchangeCycleUnit;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getDrawingSize() {
        return drawingSize;
    }

    public void setDrawingSize(String drawingSize) {
        this.drawingSize = drawingSize;
    }

    public String getDegradation() {
        return degradation;
    }

    public void setDegradation(String degradation) {
        this.degradation = degradation;
    }
}
